apache_request_headers
apache_response_headers
Apache Functions
PHP Manual

# apache_reset_timeout

Reset the Apache write timer

### Description

bool apache_reset_timeout ( void )

apache_reset_timeout resets the Apache write timer, which defaults to 300 seconds. With set_time_limit(0); ignore_user_abort(true) and periodic apache_reset_timeout calls, Apache can theoretically run forever.

This function requires Apache 1.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note: This function is disabled when PHP is running in safe mode.

### See Also

- set_time_limit
- ignore_user_abort